Skip to main content
POST
SDK — create a CSV export of the business account's audit trail

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

businessAccountId
string
required

ID of the business account

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Filters for a business account activity CSV export. All optional.

from
string<date-time>

Only include entries at or after this timestamp

to
string<date-time>

Only include entries at or before this timestamp

actions
enum<string>[]

Only include these audited actions

Audited business account action

Available options:
businessAccountCreated,
businessAccountRenamed,
businessAccountDeleted,
memberAdded,
memberRoleChanged,
memberRemoved,
ownershipTransferred,
signerAdded,
signerRevoked,
signerExpired,
walletAttached,
walletDetached,
walletTransferred,
shareSetCreated,
shareSetReshared,
shareSetRefreshed,
shareSetRevoked,
governanceChanged,
roleDefined,
roleDeleted,
proposalCreated,
proposalApproved,
proposalApprovalWithdrawn,
proposalVetoed,
proposalExecuted,
proposalExpired

Response

Export created

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

status
enum<string>
required
Available options:
completed,
failed,
pending
createdAt
string<date-time>
required
completedAt
string<date-time> | null
downloadUrl
string<url>

Pre-signed URL to download the exported CSV (available after completion)

error
string

Error message when status is failed

Last modified on October 5, 2026